# $Revision: 1.7 $, $Date: 2007-02-13 08:06:42 $
%define		module	Numeric

Summary:	Python numerical facilities
Summary(pl.UTF-8):	Moduły do obliczeń numerycznych dla języka Python
Name:		python-%{module}
Version:	24.2
Release:	4
License:	distributable
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/numpy/%{module}-%{version}.tar.gz
# Source0-md5:	2ae672656e06716a149acb048cca3093
URL:		http://sourceforge.net/projects/numpy/
BuildRequires:	python-devel >= 1:2.3
%pyrequires_eq	python-libs
Obsoletes:	python-numpy <= 24.2
# dropped some time ago
Obsoletes:	python-numpy-Properties
# dropped some time ago, should have been "released as separate package", but finally wasn't
Obsoletes:	python-numpy-kinds <= 24.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NumPy is a collection of extension modules to provide high-performance
multidimensional numeric arrays to the Python programming language.

%description -l pl.UTF-8
Pakiet umożliwia wydajne obliczenia numeryczne na macierzach
wielowymiarowych.

%package devel
Summary:	C header files for numerical modules
Summary(pl.UTF-8):	Pliki nagłówkowe języka C modułów numerycznych
Group:		Development/Languages/Python
%pyrequires_eq	python-devel
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-numpy-devel <= 24.2

%description devel
C header files for numerical modules.

%description devel -l pl.UTF-8
Pliki nagłówkowe języka C modułów numerycznych.

%package FFT
Summary:	Interface to the FFTPACK FORTRAN library
Summary(pl.UTF-8):	Interfejs do biblioteki FFTPACK języka Fortran
Group:		Libraries/Python
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-numpy-FFT <= 24.2

%description FFT
The FFT.py module provides a simple interface to the FFTPACK FORTRAN
library, which is a powerful standard library for doing fast Fourier
transforms of real and complex data sets.

%description FFT -l pl.UTF-8
Moduł FFT zawiera prosty interfejs do biblioteki FFTPACK języka
Fortran. Ta biblioteka o wysokich możliwościach jest standardowo
używana do prowadzenia obliczeń za pomocą dyskretnej transformaty
Fouriera na liczba rzeczywistych i zespolonych.

%package MA
Summary:	MA - a facility for dealing with masked arrays
Summary(pl.UTF-8):	Moduł do obsługi macierzy niepełnych
Group:		Libraries/Python
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-numpy-MA <= 24.2

%description MA
Masked arrays are arrays that may have missing or invalid entries.
Module MA provides a work-alike replacement for Numeric that supports
data arrays with masks.

%description MA -l pl.UTF-8
Macierze niepełne są to macierze, którym może brakować lub mogą
zawierać niepoprawne wartości. Moduł MA zawiera odpowiednie narzędzia
do operowania na tego typu macierzach.

%package RNG
Summary:	Random Number Generator Object for NumPy
Summary(pl.UTF-8):	Obiekt generatora liczb losowych dla modułu NumPy
Group:		Libraries/Python
%pyrequires_eq	python-libs
Requires:	%{name} = %{version}-%{release}
Obsoletes:	python-numpy-RNG <= 24.2

%description RNG
RNG provides a random number object to Numerical Python.

%description RNG -l pl.UTF-8
Moduł ten zawiera implementację obiektu generatora liczb losowych dla
języka Python.

%prep
%setup -q -n %{module}-%{version}

%build
CC="%{__cc}"; export CC
CFLAGS="%{rpmcflags}"; export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{py_sitedir}/%{module}.pth
%dir %{py_sitedir}/%{module}
%attr(755,root,root) %{py_sitedir}/%{module}/*.so
%dir %{py_sitedir}/%{module}/Numeric_headers
%{py_sitedir}/%{module}/Numeric_headers/__init__.*
%{py_sitedir}/%{module}/*.py[co]
%{py_sitedir}/%{module}/*.py

%files devel
%defattr(644,root,root,755)
%{py_incdir}/%{module}

%files FFT
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{module}/FFT
%attr(755,root,root) %{py_sitedir}/%{module}/FFT/*.so
%{py_sitedir}/%{module}/FFT/*.py[co]
%{py_sitedir}/%{module}/FFT/*.py

#%files kinds
#%defattr(644,root,root,755)
#%dir %{py_sitedir}/%{module}/kinds
#%attr(755,root,root) %{py_sitedir}/%{module}/kinds/*.so
#%{py_sitedir}/%{module}/kinds/*.py[co]

%files MA
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{module}/MA
%{py_sitedir}/%{module}/MA/*.py[co]
%{py_sitedir}/%{module}/MA/*.py

#%files Properties
#%defattr(644,root,root,755)
#%dir %{py_sitedir}/%{module}/PropertiedClasses
#%{py_sitedir}/%{module}/PropertiedClasses/*.py[co]

%files RNG
%defattr(644,root,root,755)
%dir %{py_sitedir}/%{module}/RNG
%attr(755,root,root) %{py_sitedir}/%{module}/RNG/*.so
%{py_sitedir}/%{module}/RNG/*.py[co]
%{py_sitedir}/%{module}/RNG/*.py

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-Numeric.spec,v $
Revision 1.7  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.5  2006/09/27 20:15:45  wrobell
- rel. 4 to rebuild with python 2.5 (final)

Revision 1.4  2006/09/09 16:16:18  arekm
- rel 3

Revision 1.3  2006/08/27 10:50:15  havner
- nvm, this is unnecessary

Revision 1.2  2006/08/27 10:41:23  havner
- rebuild with 2.5
- rel 2

Revision 1.1  2006/07/17 14:14:36  qboosh
- copied old python-numpy.spec, changing module name to Numeric

Revision 1.52  2006/07/17 12:11:09  qboosh
- missing dir

Revision 1.51  2006/02/10 23:43:31  qboosh
- removed obsolete lite patch

Revision 1.50  2006/02/09 13:11:40  rotom
- up to 24.2

Revision 1.49  2005/05/11 17:33:27  pluto
- release 2 for Th.

Revision 1.48  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.47  2005/02/07 20:08:22  troll
- updated to 23.7
- old URL is no longer valid

Revision 1.46  2004/12/23 11:25:17  saq
- release 1

Revision 1.45  2004/12/22 08:05:10  qboosh
- use python-{libs,devel} deps, release 0.2

Revision 1.44  2004/11/27 19:01:24  saq
- massive attack: added missing python-devel epoch do BR

Revision 1.43  2004/10/26 23:31:36  qboosh
- updated to 23.6, added lite patch to use lite lapack libs again

Revision 1.42  2004/10/14 09:13:01  qboosh
- strict internal deps

Revision 1.41  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.40  2003/11/03 00:33:53  arekm
- updated to 23.1

Revision 1.39  2003/07/24 15:53:02  qboosh
- kinds and PropertiesClasses have been removed

Revision 1.38  2003/07/23 07:58:18  wiget
- md5

Revision 1.37  2003/07/23 07:43:49  wiget
- updated to 23.0

Revision 1.36  2003/05/28 13:01:30  malekith
- massive attack: source-md5

Revision 1.35  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.34  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.33  2002/12/02 22:08:48  ankry
- pl Summary/description fixes
- adapterized

Revision 1.32  2002/04/13 17:34:01  kloczek
- rebuild against pythin 2.2.1.

Revision 1.31  2002/04/11 13:58:38  wrobell
- rel. 4, stb

Revision 1.30  2002/04/11 13:45:34  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.29  2002/03/20 11:04:10  wrobell
- fixed devel subpackage group
- rel. 3
- stb

Revision 1.28  2002/03/20 08:26:06  filon
- groups changed to Libraies/Python (back up wrobbel's change)
- release 2

Revision 1.27  2002/03/19 23:56:01  filon
- updated to 21.0
- location of submodules has changed

Revision 1.25  2002/02/23 04:25:51  kloczek
- adapterized.

Revision 1.24  2002/02/22 23:29:39  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/02/06 09:05:10  kloczek
- adapterized.

Revision 1.22  2002/02/04 03:17:22  kloczek
- release 2: rebuild against python 2.2 and adapterize spec file.

Revision 1.21  2002/01/25 22:11:54  misiek
- updated to 20.3

Revision 1.20  2002/01/18 02:14:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/24 01:36:40  kloczek
- cosmetics.

Revision 1.18  2001/11/12 17:34:14  wrobell
- use py_incdir macro for python includes

Revision 1.17  2001/11/12 09:43:43  qboosh
- BuildRequires: rpm-pythonprov

Revision 1.16  2001/11/11 19:07:13  wrobell
- use standard python macros

Revision 1.15  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.14  2001/11/01 11:19:11  wrobell
- ver. 20.2.0
- use CFLAGS

Revision 1.13  2001/09/08 19:45:21  kloczek
- release 2: rebuild.

Revision 1.12  2001/08/23 14:07:35  wrobell
- version 20.1.0
- rebuilded with python 2.1.1
- stb

Revision 1.11  2001/07/03 17:24:22  kloczek
- cut %changelog.

Revision 1.10  2001/07/03 17:14:02  wrobell
- spec contains all descriptions with pl translations
- stb

Revision 1.9  2001/07/02 17:25:03  wrobell
- fixed requires
- added summaries and descriptions with pl translations

Revision 1.8  2001/06/22 13:29:23  wrobell
- pl translations added for main package
- summary and descriptions with pl translation for devel subpackage

Revision 1.7  2001/05/31 17:00:12  wrobell
- simplified file list

Revision 1.6  2001/05/31 11:29:46  wrobell
- updated for 20.1.0a3
- builds with Python 2.1

Revision 1.5  2001/05/02 21:51:28  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2000/06/09 07:23:52  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.1  1999/11/02 12:59:02  baggins
- rename

Revision 1.6  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).
